var gameLoseSkin=gameLoseSkin||{};
gameLoseSkin.GameLoseSkin=function(){
	var s = this;
	F2xContainer.call(s);
	s.initUI();
};
F2xExtend(gameLoseSkin.GameLoseSkin,F2xContainer);
gameLoseSkin.GameLoseSkin.prototype.initUI=function(){
	var s = this;
	//f2x_auto_created_init_start
	var _d6=Flash2x.t(0,decodeURI("123"),24,"#FFFFFF","Microsoft YaHei",0,0,290,31.7,33.7,"center",false,true,"single",false);
	_d6.name="endTimeTxt";
	s.endTimeTxt=_d6;
	Flash2x.d(_d6,{x:178,y:726.55});
	var _d5=new gameLoseSkin.F2xAuto_1();
	_d5.initButton();
	_d5.name="realTimeRankBtn";
	s.realTimeRankBtn=_d5;
	_d5.initButton();
	var _d4=Flash2x.t(0,decodeURI("%E5%BD%93%E5%89%8D%E6%88%90%E7%BB%A9"),34,"#FFF717","Microsoft YaHei",0,0,350.05,47.5,46.9,"center",false,false,"single",false);
	_d4.name="currScoreTxt";
	s.currScoreTxt=_d4;
	Flash2x.d(_d4,{x:136,y:358});
	var _d3=Flash2x.t(0,decodeURI("%E6%9C%80%E4%BD%B3%E6%88%90%E7%BB%A9"),30,"#FFFFFF","Microsoft YaHei",0,0,350.05,39.6,41.6,"center",false,false,"single",false);
	_d3.name="maxScoreTxt";
	s.maxScoreTxt=_d3;
	Flash2x.d(_d3,{x:136,y:428});
	var _d2=Flash2x.t(0,decodeURI("%E7%9B%AE%E5%89%8D%E6%8E%92%E5%90%8D"),30,"#FFFFFF","Microsoft YaHei",0,0,350.05,39.6,41.6,"center",false,false,"single",false);
	_d2.name="rankTxt";
	s.rankTxt=_d2;
	Flash2x.d(_d2,{x:136,y:298});
	var _d1=new gameLoseSkin.F2xAuto_0();
	_d1.initButton();
	_d1.name="againBtn";
	s.againBtn=_d1;
	Flash2x.d(_d1,{x:91,y:551});
	_d1.initButton();
	var _d0=Flash2x.b("gameLoseSkin","bg");
	s.addChild(_d0);
	s.addChild(_d1);
	s.addChild(_d2);
	s.addChild(_d3);
	s.addChild(_d4);
	s.addChild(_d5);
	s.addChild(_d6);
	//f2x_auto_created_init_end
	
};
